/**
 * @author Andres Echeverri <andres.echeverri@alertlogic.com>
 * @copyright 2020 Alert Logic, Inc.
 */
import { ElementRef } from '@angular/core';
export declare class SuggestionInputHelper {
    private input;
    private tracingPaper;
    private boxLetter;
    private type;
    constructor(input: ElementRef, tracingPaper: ElementRef, type?: string);
    trace(): void;
    getLastCharacter(): HTMLElement;
    getTracingPaper(): HTMLElement;
    setCursorPosition(position: number): void;
    getCursorPosition(): number;
    getCharacterBeforeCursor(): string;
    getCharacterAfterCursor(): string;
    scrollToLastLetter(): void;
    scrollToPosition(position: number): void;
    scrollToLetter(elm: HTMLElement): void;
    updateHeight(): void;
}
